/registry-agent-identifier
Gets the on-chain metadata for a specific agent by its identifier.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Query Parameters
agentIdentifier*string
Full agent identifier (policy ID + asset name in hex)
Length
57 <= length <= 250network*string
The Cardano network (Preprod or Mainnet)
Value in
"Preprod" | "Mainnet"Response Body
application/json
curl -X GET "https://loading/./../api/v1/registry/agent-identifier?agentIdentifier=stringstringstringstringstringstringstringstringstringstr&network=Preprod"{
"status": "Success",
"data": {
"policyId": "policy_id",
"assetName": "asset_name",
"agentIdentifier": "policy_id_asset_name",
"Metadata": {
"name": "Agent Name",
"description": "Agent Description",
"apiBaseUrl": "https://api.example.com",
"ExampleOutputs": [],
"Tags": [
"tag1",
"tag2"
],
"Capability": {
"name": "capability_name",
"version": "capability_version"
},
"Legal": {
"privacyPolicy": "privacy_policy",
"terms": "terms",
"other": "other"
},
"Author": {
"name": "author_name",
"contactEmail": "author_contact_email",
"contactOther": "author_contact_other",
"organization": "author_organization"
},
"image": "ipfs://...",
"AgentPricing": {
"pricingType": "Fixed",
"Pricing": [
{
"unit": "",
"amount": "10000000"
}
]
},
"metadataVersion": 1
}
}
}Empty
Empty
Empty
Empty
Empty



